Package picard.analysis.directed

# Class TargetMetricsBase

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.metrics.MultilevelMetrics
picard.analysis.directed.PanelMetricsBase
picard.analysis.directed.TargetMetricsBase

Direct Known Subclasses:
  `TargetedPcrMetrics`, `TargetMetrics`

public class TargetMetricsBase extends PanelMetricsBase
TargetMetrics, are metrics to measure how well we hit specific targets (or baits) when using a targeted sequencing process like hybrid selection or Targeted PCR Techniques (TSCA). TargetMetrics at the moment are the metrics that are shared by both HybridSelection and TargetedPcrMetrics.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`ON_TARGET_FROM_PAIR_BASES`
The number of PF aligned bases that are mapped in pair to a targeted region of the genome.
`long`
`PF_SELECTED_PAIRS`
Tracks the number of read pairs that we see that are PF (used to calculate library size)
`long`
`PF_SELECTED_UNIQUE_PAIRS`
Tracks the number of unique PF_SELECTED_PAIRS we see (used to calc library size)

### Fields inherited from class picard.analysis.directed.PanelMetricsBase

`AT_DROPOUT, FOLD_80_BASE_PENALTY, GC_DROPOUT, GENOME_SIZE, HET_SNP_Q, HET_SNP_SENSITIVITY, MAX_TARGET_COVERAGE, MEAN_TARGET_COVERAGE, MEDIAN_TARGET_COVERAGE, MIN_TARGET_COVERAGE, ON_TARGET_BASES, PCT_EXC_ADAPTER, PCT_EXC_BASEQ, PCT_EXC_DUPE, PCT_EXC_MAPQ, PCT_EXC_OFF_TARGET, PCT_EXC_OVERLAP, PCT_PF_READS, PCT_PF_UQ_READS, PCT_PF_UQ_READS_ALIGNED, PCT_TARGET_BASES_100000X, PCT_TARGET_BASES_10000X, PCT_TARGET_BASES_1000X, PCT_TARGET_BASES_100X, PCT_TARGET_BASES_10X, PCT_TARGET_BASES_1X, PCT_TARGET_BASES_20X, PCT_TARGET_BASES_25000X, PCT_TARGET_BASES_2500X, PCT_TARGET_BASES_250X, PCT_TARGET_BASES_2X, PCT_TARGET_BASES_30X, PCT_TARGET_BASES_40X, PCT_TARGET_BASES_50000X, PCT_TARGET_BASES_5000X, PCT_TARGET_BASES_500X, PCT_TARGET_BASES_50X, PF_BASES, PF_BASES_ALIGNED, PF_READS, PF_UNIQUE_READS, PF_UQ_BASES_ALIGNED, PF_UQ_READS_ALIGNED, TARGET_TERRITORY, TOTAL_READS, ZERO_CVG_TARGETS_PCT`

### Fields inherited from class picard.metrics.MultilevelMetrics

`LIBRARY, READ_GROUP, SAMPLE`

## Constructor Summary

Constructors
Constructor
Description
`TargetMetricsBase()`

## Method Summary

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### PF_SELECTED_PAIRS

public long PF_SELECTED_PAIRS
Tracks the number of read pairs that we see that are PF (used to calculate library size)

### PF_SELECTED_UNIQUE_PAIRS

public long PF_SELECTED_UNIQUE_PAIRS
Tracks the number of unique PF_SELECTED_PAIRS we see (used to calc library size)

### ON_TARGET_FROM_PAIR_BASES

public long ON_TARGET_FROM_PAIR_BASES
The number of PF aligned bases that are mapped in pair to a targeted region of the genome.

## Constructor Details

### TargetMetricsBase

public TargetMetricsBase()